Package Details: diesel_cli 1.4.0-2

Git Clone URL: https://aur.archlinux.org/diesel_cli.git (read-only)
Package Base: diesel_cli
Description: CLI for the Diesel crate
Upstream URL: https://github.com/diesel-rs/diesel/tree/master/diesel_cli
Licenses: MIT, Apache
Submitter: flying-sheep
Maintainer: flying-sheep (kpcyrd)
Last Packager: flying-sheep
Votes: 4
Popularity: 0.014497
First Submitted: 2016-05-27 11:30
Last Updated: 2019-02-12 13:20

Latest Comments

flying-sheep commented on 2019-02-12 13:09

Sure! Just one request: Could you please stick to my syntax choices when updating instead of e.g. changing $pkgdir to ${pkgdir}?

kpcyrd commented on 2019-02-09 13:01

I've updated the PKGBUILD, feel free to apply it:

https://gist.github.com/kpcyrd/603e6aa1108b2fb812c6a26345ad52b5

I'd also be interested to join as a co-maintainer.

flying-sheep commented on 2018-11-06 12:23

diesel_cli is still on 1.3.1: https://crates.io/crates/diesel_cli

flying-sheep commented on 2018-09-24 08:37

Thank you, will do ASAP

kpcyrd commented on 2018-09-10 21:10

The bin currently depends on a few libs:

"-l" "sqlite3" "-l" "pq" "-l" "mysqlclient"

Could you please add the following as a dependency?

  • core/sqlite
  • extra/postgresql-libs
  • extra/libmariadbclient

Thanks!

flying-sheep commented on 2018-01-08 10:31

done!

kpcyrd commented on 2018-01-06 01:40

I think the dependency on rust can be dropped. The compiler is only needed at build time.